[OE-core] [PATCH 31/37] lsbsetup: add some workaround for LSB tests

Saul Wold sgw at linux.intel.com
Sat Apr 23 06:29:25 UTC 2011


From: Kang Kai <kai.kang at windriver.com>

Add some workaround for LSB libstdcpp and tcl tests.
Recreate locales for libstdcpp test, and resolve localhost is for
tcl test [Yocto 898]
Bump PR, update LICENSE information and installed file mode

Signed-off-by: Kang Kai <kai.kang at windriver.com>
---
 meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh |   15 ++++++++++++++-
 meta/recipes-extended/lsb/lsbsetup_0.9.bb       |    8 ++++----
 2 files changed, 18 insertions(+), 5 deletions(-)

diff --git a/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh b/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh
index 7ce823e..a8189e5 100644
--- a/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh
+++ b/meta/recipes-extended/lsb/lsbsetup/LSB_Setup.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# Copyright (c) 2005-2010 Wind River Systems, Inc.
+# Copyright (C) 2010-2011 Wind River Systems, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 2 as
@@ -201,6 +201,19 @@ fi
 addr=`ifconfig eth0 | grep "inet addr" | awk -F: '{print $2}'|sed s/[[:space:]][[:space:]]Bcast//g`
 echo -e "you should input ${addr}:8888 on your browser"
 
+#workaround to add part of locales for LSB test
+localedef -i ja_JP -f EUC-JP ja_JP.eucjp
+localedef -i en_US -f ISO-8859-15  en_US.ISO-8859-15
+localedef -i en_US -f UTF-8 en_US.UTF-8
+localedef -i se_NO -f UTF-8 se_NO.UTF-8
+localedef -i de_DE -f ISO-8859-1 de_DE
+
+#resolve localhost 
+LOCALHOST=`hostname`
+if ! `grep -F -q "$LOCALHOST" /etc/hosts`; then
+    echo "127.0.0.1 $LOCALHOST" >> /etc/hosts
+fi
+
 #Step 10
 echo "Done!!"
 
diff --git a/meta/recipes-extended/lsb/lsbsetup_0.9.bb b/meta/recipes-extended/lsb/lsbsetup_0.9.bb
index 8cbaf1e..5fd0584 100644
--- a/meta/recipes-extended/lsb/lsbsetup_0.9.bb
+++ b/meta/recipes-extended/lsb/lsbsetup_0.9.bb
@@ -2,9 +2,9 @@ DESCRIPTION = "auto-setup environment for lsb test"
 SECTION = "console/utils"
 PRIORITY = "required"
 LICENSE = "GPLv2"
-PR = "r0"
+PR = "r1"
 
-LIC_FILES_CHKSUM = "file://LSB_Setup.sh;md5=7391be3e70a02d44e1b183fa103b0585"
+LIC_FILES_CHKSUM = "file://LSB_Setup.sh;beginline=3;endline=16;md5=97451c7c0786ce5bbe9ac58042945583"
 
 SRC_URI = "file://LSB_Setup.sh"
 
@@ -12,6 +12,6 @@ S=${WORKDIR}
 
 do_install() {
         # Only install file if it has a contents
-	install -d ${D}/usr/bin
-        install -m 0644 ${S}/LSB_Setup.sh ${D}/usr/bin
+        install -d ${D}/usr/bin
+        install -m 0755 ${S}/LSB_Setup.sh ${D}/usr/bin
 }
-- 
1.7.1.1





More information about the Openembedded-core mailing list